<?php

namespace IQBall\App\Controller;

use IQBall\Core\Http\HttpResponse;
use IQBall\App\ViewHttpResponse;
use IQBall\Core\Model\TacticModel;
use IQBall\Core\Session\SessionHandle;

class UserController {
    private TacticModel $tactics;

    /**
     * @param TacticModel $tactics
     */
    public function __construct(TacticModel $tactics) {
        $this->tactics = $tactics;
    }

    /**
     * @param SessionHandle $session
     * @return HttpResponse the home page
     */
    public function home(SessionHandle $session): HttpResponse {
        //TODO use session's account to get the last 5 tactics if the logged-in account
        $listTactic = $this->tactics->getLast(5);
        return ViewHttpResponse::twig("home.twig", ["recentTactic" => $listTactic]);
    }

    /**
     * @return HttpResponse account settings page
     */
    public function settings(SessionHandle $session): HttpResponse {
        return ViewHttpResponse::twig("account_settings.twig", []);
    }

}
